Bug 1121357 - [abrt] gnome-abrt: g_type_get_type_registration_serial@plt(): python2.7 killed by SIGSEGV
Summary: [abrt] gnome-abrt: g_type_get_type_registration_serial@plt(): python2.7 kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f75e7aabdc495e10c214a8ce854...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 19:11 UTC by jim11sanders
Modified: 2015-06-29 21:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:39:24 UTC


Attachments (Terms of Use)
File: backtrace (51.80 KB, text/plain)
2014-07-19 19:11 UTC, jim11sanders
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-19 19:11 UTC, jim11sanders
no flags Details
File: core_backtrace (18.11 KB, text/plain)
2014-07-19 19:11 UTC, jim11sanders
no flags Details
File: dso_list (14.98 KB, text/plain)
2014-07-19 19:12 UTC, jim11sanders
no flags Details
File: environ (1.74 KB, text/plain)
2014-07-19 19:12 UTC, jim11sanders
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-19 19:12 UTC, jim11sanders
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-19 19:12 UTC, jim11sanders
no flags Details
File: maps (69.09 KB, text/plain)
2014-07-19 19:12 UTC, jim11sanders
no flags Details
File: open_fds (1.43 KB, text/plain)
2014-07-19 19:12 UTC, jim11sanders
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2014-07-19 19:12 UTC, jim11sanders
no flags Details
File: var_log_messages (375 bytes, text/plain)
2014-07-19 19:12 UTC, jim11sanders
no flags Details

Description jim11sanders 2014-07-19 19:11:56 UTC
Version-Release number of selected component:
gnome-abrt-0.3.7-3.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/gnome-abrt
crash_function: g_type_get_type_registration_serial@plt
executable:     /usr/bin/python2.7
kernel:         3.15.5-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_get_type_registration_serial@plt at /lib64/libgtk-3.so.0
 #1 update_type_references at gtkcssselector.c:724
 #2 _gtk_css_selector_tree_match_all at gtkcssselector.c:2159
 #3 gtk_css_provider_get_style_property at gtkcssprovider.c:1500
 #4 gtk_style_cascade_get_style_property at gtkstylecascade.c:109
 #5 _gtk_style_context_peek_style_property at gtkstylecontext.c:2332
 #6 gtk_widget_style_get_valist at gtkwidget.c:12522
 #7 gtk_widget_style_get at gtkwidget.c:12560
 #8 gtk_tree_view_get_expander_size at gtktreeview.c:2925
 #9 gtk_tree_view_get_row_height at gtktreeview.c:13632

Comment 1 jim11sanders 2014-07-19 19:11:58 UTC
Created attachment 919304 [details]
File: backtrace

Comment 2 jim11sanders 2014-07-19 19:11:59 UTC
Created attachment 919305 [details]
File: cgroup

Comment 3 jim11sanders 2014-07-19 19:11:59 UTC
Created attachment 919306 [details]
File: core_backtrace

Comment 4 jim11sanders 2014-07-19 19:12:00 UTC
Created attachment 919307 [details]
File: dso_list

Comment 5 jim11sanders 2014-07-19 19:12:01 UTC
Created attachment 919308 [details]
File: environ

Comment 6 jim11sanders 2014-07-19 19:12:02 UTC
Created attachment 919309 [details]
File: exploitable

Comment 7 jim11sanders 2014-07-19 19:12:02 UTC
Created attachment 919310 [details]
File: limits

Comment 8 jim11sanders 2014-07-19 19:12:03 UTC
Created attachment 919311 [details]
File: maps

Comment 9 jim11sanders 2014-07-19 19:12:04 UTC
Created attachment 919312 [details]
File: open_fds

Comment 10 jim11sanders 2014-07-19 19:12:05 UTC
Created attachment 919313 [details]
File: proc_pid_status

Comment 11 jim11sanders 2014-07-19 19:12:05 UTC
Created attachment 919314 [details]
File: var_log_messages

Comment 12 Jakub Filak 2014-07-21 14:28:07 UTC
Hello, thank you for taking the time to report this issue.

I am reassigning this report from "gnome-abrt" to "gtk3" because I would like to ask gtk3 maintainers for analysis of the backtrace. Is this report a bug in gtk3 or in gnome-abrt? What needs to be done to make gtk3 crashing in a call of g_type_get_type_registration_serial() function?

Comment 13 Fedora End Of Life 2015-05-29 12:24:58 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:39:24 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.